---
title: msAudioDeviceType
slug: Web/API/HTMLAudioElement/msAudioDeviceType
tags:
  - msAudioDeviceType
---
<p id="Summary">{{APIRef("Audio element")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>msAudioDeviceType</strong></code> property of the HTML <a href="/en-US/docs/Web/HTML/Element/audio">&lt;audio&gt;</a> element, is a read/write proprietary attribute, specific to Internet Explorer and Microsoft Edge.</p>

<p><code><strong>msAudioDeviceType</strong></code> specifies the output device id that the audio will be sent to.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: html">&lt;audio src="sound.mp3" msAudioDeviceType="Communications" /&gt;
</pre>

<p>By default, audio on your system will output to your default speakers and be considered a foreground element, meaning that the audio will play only when the element is active in the app. For real-time communications, you can use the <code>msAudioDeviceType</code> property with the value <code>Console</code>, <code>Multimedia</code>, or <code>Communications</code> to specify where the current audio should output.</p>


<h2 id="Value">Value</h2>

<p>Include a description of the property's value, including data type and what it represents.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Console</td>
   <td>Specifies that the audio output will be sent to the console device.</td>
  </tr>
  <tr>
   <td>Multimedia</td>
   <td>Specifies that the audio output will be sent to the multimedia device.</td>
  </tr>
  <tr>
   <td>Communications</td>
   <td>Specifies that the audio output will be sent to the communications device.</td>
  </tr>
 </tbody>
</table>


<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
